{
    "path": "$OET_PATH/testcases/function_test/pkg_test/cogl/cogl",
    "machine num": 1,
    "cases": [
        {
            "name": "test_cogl_glib-compile-schemas_targetdir",
            "desc": "测试 glib-compile-schemas 命令的 --targetdir 参数，指定 gschemas.compiled 文件的存储目录"
        },
        {
            "name": "test_cogl_glib-compile-schemas_strict",
            "desc": "测试 glib-compile-schemas 命令的 --strict 参数，在 schema 文件中遇到错误时中止编译"
        },
        {
            "name": "test_cogl_glib-compile-schemas_dry-run",
            "desc": "测试 glib-compile-schemas 命令的 --dry-run 参数，模拟编译过程但不实际写入 gschemas.compiled 文件"
        },
        {
            "name": "test_cogl_glib-compile-schemas_allow-any-name",
            "desc": "测试 glib-compile-schemas 命令的 --allow-any-name 参数，不强制检查 key name 的限制"
        },
        {
            "name": "test_cogl_glib-genmarshal_--help",
            "desc": "测试 glib-genmarshal 命令的帮助文档是否可用"
        },
        {
            "name": "test_cogl_glib-mkenums_help",
            "desc": "测试 glib-mkenums 命令的帮助文档是否可用"
        },
        {
            "name": "test_cogl_install",
            "desc": "测试软件包 cogl 的安装功能"
        },
        {
            "name": "test_cogl_uninstall",
            "desc": "测试软件包 cogl 的卸载功能"
        },
        {
            "name": "test_cogl_version",
            "desc": "测试软件包 cogl 的版本查询功能"
        },
        {
            "name": "test_cogl_deps",
            "desc": "测试软件包 cogl 的依赖库是否完整"
        },
        {
            "name": "test_cogl_function_install",
            "desc": "测试软件包cogl的安装功能"
        },
        {
            "name": "test_cogl_function_uninstall",
            "desc": "测试软件包cogl的卸载功能"
        },
        {
            "name": "test_cogl_function_runtime",
            "desc": "测试cogl库在运行时的基本功能"
        }
    ]
}